Bug 77827 - redhat-config-xfree86 fails to detect hardware
redhat-config-xfree86 fails to detect hardware
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-xfree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-11-13 22:58 EST by Dan Swanwick
Modified: 2007-04-18 12:48 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-09-04 16:25:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
/var/log/XFree86.setup.log from the failed run (1.28 KB, text/plain)
2002-11-14 07:12 EST, Dan Swanwick
no flags Details

  None (edit)
Description Dan Swanwick 2002-11-13 22:58:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
after moving a hard drive from one dell inspiron system to another,
redhat-config-xfree86 failed to correctly determine my hardware, and therefore
couldn't configure my system to start x.

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Steps to Reproduce:
1. Change system monitor or video card
2. Run redhat-config-xfree86

Actual Results:  redhat-config-xfree86 exited without provisionally starting x,
and therefore without allowing me to change settings to get a working x

Expected Results:  i should've been able to configure x

Additional info:

video card: ati rage 128 mobility; driver: r128
display: dell inspiron 1400x1050, 24 bit color
Comment 1 Alexander Larsson 2002-11-14 04:32:37 EST
What did redhat-config-xfree86 print out on the command line, and please attach
the log (/var/log/XFree86.setup.log) to this bug.
Comment 2 Dan Swanwick 2002-11-14 07:13:00 EST
Created attachment 85024 [details]
/var/log/XFree86.setup.log from the failed run
Comment 3 Dan Swanwick 2002-11-14 07:39:10 EST
turns out it's 100% reproducible. all i had to do was move /etc/X11/XF86Config
to a different filename, quit x, and run the config program.

command line output:

[root@georgia root]# redhat-config-xfree86
*ddcprobe returned bogus values:
ID:   None
Name: None
HorizSync: None
VertSync:  None

Couldn't start X server, trying with a fresh configuration
ID:   None
Name: None
HorizSync: None
VertSync:  None

Error, cannot start X server.
Comment 4 Alexander Larsson 2002-11-15 04:17:41 EST
Strange. It doesn't find any modes. Since the DCC probe failed is should have
falled back to a SVGA monitor spec.

mharris: Exactly what does:
(EE) R128(0): No valid modes found
(EE) Screen(s) found, but none have a usable configuration.

Comment 5 Brent Fox 2002-12-03 12:33:23 EST
mharris: ping?
Comment 6 Mark Heslep 2003-02-22 06:02:35 EST
I observe the same repeatable ddcprobe failure from ..config-xfree86 on my NEC
Multisync FP950 resulting in a fallback to 800x600, however:

A run of  'XFree86 -configure' correctly probes the monitor and produces a
correct /root/XF86config file up to the maximum supported resolution of the
nvidia driver.
Comment 7 Brent Fox 2003-05-27 15:41:27 EDT
Can you try with RHL 9 and see if the problem still exists?
Comment 8 Brent Fox 2003-09-04 16:25:53 EDT
Hmm, well, please reopen this bug is you can reproduce with RHL 9 or with the
Severn beta.  The r128 driver works fine for me with those two releses.
Comment 9 Dan Swanwick 2003-09-04 16:41:01 EDT
I'll upgrade at some point, and report back then. Thanks for following up.

Note You need to log in before you can comment on or make changes to this bug.